HttpRequest::setOptions
HttpRequest::setPostFiles
The HttpRequest
PHP Manual

# HttpRequest::setPostFields

(PECL pecl_http:0.10.0-1.5.5)

HttpRequest::setPostFields — Set post fields

### Description

public bool HttpRequest::setPostFields ( array `$post_data` )

Set the POST data entries, overwriting previously set POST data.

Affects only POST and custom requests.

### Parameters

`post_data`

  an associative array containing the post fields; if empty, the post data will be unset

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

HttpRequest::setOptions
HttpRequest::setPostFiles
The HttpRequest
PHP Manual